// xpm_nmu_strm: NMU_STRM
// Xilinx Parameterized Macro, version 2024.2

xpm_nmu_strm #(
	.NOC_FABRIC("pl"),	//pl
	.DATA_WIDTH(512),	//128/256/512
	.ID_WIDTH(16),		// 1 to 16
     .DST_ID_WIDTH(4)	//1 to 10
)
xpm_nmu_strm_inst (
		.s_axis_aclk(s_axis_aclk) ,
          	.s_axis_tid(s_axis_tid),
	     	.s_axis_tdata(s_axis_tdata),
	    	.s_axis_tkeep(s_axis_tkeep),
	     	.s_axis_tlast(s_axis_tlast),
		.s_axis_tvalid(s_axis_tvalid),
		.s_axis_tready(s_axis_tready),
		.s_axis_tdest(s_axis_tdest),
		.dst_id_err(dst_id_err)
);

// End of xpm_nmu_strm_inst instantiation
